Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 917409 - net-im/telegram-desktop should RDEPEND on || ( net-libs/webkit-gtk:6 net-libs/webkit-gtk:4.1 )
Summary: net-im/telegram-desktop should RDEPEND on || ( net-libs/webkit-gtk:6 net-libs...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Esteve Varela Colominas
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 893668
  Show dependency tree
 
Reported: 2023-11-16 10:10 UTC by Pacho Ramos
Modified: 2023-12-11 13:25 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pacho Ramos gentoo-dev 2023-11-16 10:10:06 UTC
Currently telegram-desktop forces people to install the obsolete :4 SLOT of webkit-gtk (bug 893668), while it works with all the slots, as can be seen in Telegram/lib_webview/webview/platform/linux/webview_linux_webkitgtk.cpp or other files.

I would then change the dep to allow them (probably dropping :4 as it will die at some point and :4.1 should fit for most :4 users without adding newer deps)

Thanks
Comment 1 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2023-12-01 04:53:30 UTC
Does it link against it or use headers from it, or just detect at runtime?
Comment 2 Esteve Varela Colominas 2023-12-01 05:26:27 UTC
Sorry for the late reply, and thanks for reporting this.
It's essentially only detected at runtime.
Comment 3 Larry the Git Cow gentoo-dev 2023-12-11 13:25:54 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3006f656e6dd79d109533b220b224ad7de22a818

commit 3006f656e6dd79d109533b220b224ad7de22a818
Author:     Esteve Varela Colominas <esteve.varela@gmail.com>
AuthorDate: 2023-12-10 22:24:04 +0000
Commit:     Yixun Lan <dlan@gentoo.org>
CommitDate: 2023-12-11 13:23:25 +0000

    net-im/telegram-desktop: Backport fixes
    
    Closes: https://bugs.gentoo.org/917409
    Closes: https://bugs.gentoo.org/919201
    Thanks-to: Pacho Ramos <pacho@gentoo.org>
    Thanks-to: Aleksey <thek0tyara.alod123@gmail.com>
    Signed-off-by: Esteve Varela Colominas <esteve.varela@gmail.com>
    Signed-off-by: Yixun Lan <dlan@gentoo.org>

 ...egram-desktop-4.11.7.ebuild => telegram-desktop-4.11.7-r1.ebuild} | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

Additionally, it has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e772fbf176397c21026223ba002f8d7e5aab6518

commit e772fbf176397c21026223ba002f8d7e5aab6518
Author:     Esteve Varela Colominas <esteve.varela@gmail.com>
AuthorDate: 2023-12-10 22:21:02 +0000
Commit:     Yixun Lan <dlan@gentoo.org>
CommitDate: 2023-12-11 13:23:22 +0000

    net-im/telegram-desktop: Bump to 4.12.2
    
    Bug: https://bugs.gentoo.org/917409
    Bug: https://bugs.gentoo.org/919201
    Thanks-to: Pacho Ramos <pacho@gentoo.org>
    Thanks-to: Aleksey <thek0tyara.alod123@gmail.com>
    Signed-off-by: Esteve Varela Colominas <esteve.varela@gmail.com>
    Signed-off-by: Yixun Lan <dlan@gentoo.org>

 net-im/telegram-desktop/Manifest                   |   1 +
 .../telegram-desktop-4.12.2.ebuild                 | 227 +++++++++++++++++++++
 2 files changed, 228 insertions(+)